package nloc;

public class BFTableEntry {
  
  private int minTimediff, maxTimediff;
  private int noOfDroplets;
  private int bfPathPriority;
  private int bfMinSteps;

  public BFTableEntry(int bfPathPriority, int bfMinSteps) {
    this.minTimediff = Nloc.MIN_TIMEDIFF;
    this.maxTimediff = Nloc.MIN_TIMEDIFF + 2;
    this.noOfDroplets = 1;
    this.bfMinSteps = bfMinSteps;
    this.bfPathPriority = bfPathPriority;
  }

  public int getMinTimediff() {
    return minTimediff;
  }
  
  public int getMaxTimediff() {
    return maxTimediff;
  }

  public int getNoOfDroplets() {
    return noOfDroplets;
  }

  public int getBfPathPriority() {
    return bfPathPriority;
  }

  public int getBfMinSteps() {
    return bfMinSteps;
  }

  public void setMinTimediff(int minTimediff) {
    this.minTimediff = minTimediff;
  }

  public void setMaxTimediff(int maxTimediff) {
    this.maxTimediff = maxTimediff;
  }

  public void setNoOfDroplets(int noOfDroplets) {
    this.noOfDroplets = noOfDroplets;
  }

  public void setBfPathPriority(int bfPathPriority) {
    this.bfPathPriority = bfPathPriority;
  }

  public void setBfMinSteps(int bfMinSteps) {
    this.bfMinSteps = bfMinSteps;
  }
}
